body {
    font-family: Tahoma, Arial, sans-serif;
}

.flex-container {
    display: flex;
    flex-direction: row;
    flex-flow: row nowrap;
    justify-content: flex-start;
    align-items: baseline;
    align-content: space-around;
}

.block  {
    background: #36c1d0;
    width: 1000px;
    height: 600px;
    margin: 60px auto;
    padding: 10px;
}

.block__element {
    background: #fff;
    width: 10%;
    height: 100px;
    position: relative;
    margin: 6px;
}

.flex__element {
    order: 0;
    flex-grow: 0;
    flex-shrink: 1;
    flex-basis: auto;
    /* flex: 0 1 auto; */
    /* align-self: auto; */
}

.block__element span {
    background: #dee8fb;
    color: #366bd0;
    display: block;
    width: 40px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    border-radius: 50%;
    position: absolute;
    left: 50%;
    margin-left: -20px;
    top: 50%;
    margin-top: -20px;
}